src: don't assume go is in PATH in buildall.bash

Change-Id: I5569dcdefe8adba346810124b16721674956bce6
Reviewed-on: https://go-review.googlesource.com/9515
Reviewed-by: Ian Lance Taylor <iant@golang.org>
diff --git a/src/buildall.bash b/src/buildall.bash
index a3579af..89a4501 100755
--- a/src/buildall.bash
+++ b/src/buildall.bash
@@ -51,7 +51,7 @@
         export GOARCH=386
         export GO386=387
     fi
-    if ! go build -a std; then
+    if ! "$GOROOT/bin/go" build -a std; then
         failed=true
         if $sete; then
             exit 1